sources := LibItsPki_EncdecDeclarations.ttcn \
           LibItsPki_Pics.ttcn               \
           LibItsPki_Pixits.ttcn             \
           LibItsPki_Templates.ttcn          \
           LibItsPki_TypesAndValues.ttcn 

ifeq (,$(findstring EtsiTs102941BaseTypes.asn,$(all_sources)))
sources += asn1/EtsiTs102941BaseTypes.asn  \
           asn1/EtsiTs102941MessagesCa.asn \
           asn1/EtsiTs102941TrustLists.asn \
           asn1/EtsiTs102941TypesAuthorization.asn \
           asn1/EtsiTs102941TypesAuthorizationValidation.asn \
           asn1/EtsiTs102941TypesCaManagement.asn \
           asn1/EtsiTs102941TypesEnrolment.asn    \
           asn1/EtsiTs102941TypesLinkCertificate.asn
endif           

ifeq (,$(findstring EtsiTs103097Module.asn,$(all_sources)))
sources += asn1/sec/EtsiTs103097ExtensionModule.asn           \
           asn1/sec/EtsiTs103097Module.asn
endif

ifeq (,$(findstring Ieee1609Dot2.asn,$(all_sources)))
sources += asn1/sec/ieee1609dot2/Ieee1609Dot2.asn             \
           asn1/sec/ieee1609dot2/Ieee1609Dot2BaseTypes.asn    \
           asn1/sec/ieee1609dot2/Ieee1609Dot2Crl.asn          \
           asn1/sec/ieee1609dot2/Ieee1609Dot2CrlBaseTypes.asn
endif

ifeq (,$(findstring Ieee1609Dot2Dot1Protocol.asn,$(all_sources)))
sources += asn1/ieee_1609.2.1/Ieee1609Dot2Dot1AcaEeInterface.asn \
           asn1/ieee_1609.2.1/Ieee1609Dot2Dot1AcaLaInterface.asn \
           asn1/ieee_1609.2.1/Ieee1609Dot2Dot1AcaMaInterface.asn \
           asn1/ieee_1609.2.1/Ieee1609Dot2Dot1AcaRaInterface.asn \
           asn1/ieee_1609.2.1/Ieee1609Dot2Dot1Acpc.asn           \
           asn1/ieee_1609.2.1/Ieee1609Dot2Dot1CamRaInterface.asn \
           asn1/ieee_1609.2.1/Ieee1609Dot2Dot1CertManagement.asn \
           asn1/ieee_1609.2.1/Ieee1609Dot2Dot1EcaEeInterface.asn \
           asn1/ieee_1609.2.1/Ieee1609Dot2Dot1EeMaInterface.asn  \
           asn1/ieee_1609.2.1/Ieee1609Dot2Dot1EeRaInterface.asn  \
           asn1/ieee_1609.2.1/Ieee1609Dot2Dot1LaMaInterface.asn  \
           asn1/ieee_1609.2.1/Ieee1609Dot2Dot1LaRaInterface.asn  \
           asn1/ieee_1609.2.1/Ieee1609Dot2Dot1MaRaInterface.asn  \
           asn1/ieee_1609.2.1/Ieee1609Dot2Dot1Protocol.asn
endif
